Verified Commit 945658cc authored by Štěpán Henek's avatar Štěpán Henek 🐻

v2.0

parent a79df4fe
=== 2.0 (2020-06-17) ===
* Remove python2 suport
* Use standard python logging by default
=== 1.9 (2018-07-30) ===
* Logging with a time
......
......@@ -6,34 +6,29 @@ try:
except ImportError:
from distutils.core import setup
# You need at least Twisted version 16.0 but version for Python 3
# has some bugs which are solved in 16.6.
TWISTED_VERSION = '16.0' if sys.version_info < (3, 0) else '16.6'
EXTRA_TEST_REQUIRE = [
'pylint',
'pytest',
]
if sys.version_info < (3, 0):
EXTRA_TEST_REQUIRE += ['mock']
setup(
name='haas-proxy',
version='1.9',
version='2.0',
packages=[
'haas_proxy',
'haas_proxy.twisted.plugins',
],
install_requires=[
'twisted[conch]>={}'.format(TWISTED_VERSION),
'twisted[conch]>=16.6',
'requests',
'cachetools',
],
extras_require={
'test': EXTRA_TEST_REQUIRE,
'test': [
'pylint',
'pytest',
],
},
url='https://haas.nic.cz',
......@@ -43,7 +38,6 @@ setup(
license='GPLv3',
classifiers=[
'Programming Language :: Python :: 2',
'Programming Language :: Python :: 3',
'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
'Operating System :: OS Independent',
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment